New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

error Valid CSRF Token Required #4262

Open
ParmaU opened this Issue May 2, 2018 · 4 comments

Comments

Projects
None yet
4 participants
@ParmaU

ParmaU commented May 2, 2018

Dear Team,

The system information as follow:

64bit Linux Mint 18.1 Serena 
Xampp ver 7.2.1
PHP 7.2.1
osTicket version 1.10.2
ServerDB  10.1.30-MariaDB

after updating the system from 1.10.1 to authentication it tells me
Valid CSRF Token Required
@ntozier

This comment has been minimized.

Contributor

ntozier commented May 2, 2018

Well for starters osTicket does not support PHP 7.1+ at this time.

This also appears to be a duplicate of #3546 and #3256

@jorgemvc

This comment has been minimized.

jorgemvc commented May 2, 2018

@ParmaU

Just see fix #3546

All you have to do is edit the file class.ostsession.php and insert this line at 193 row
$this->data->session_data = "";

After the edition
191 catch (DoesNotExist $e) {
192 $this->data = new SessionData(['session_id' => $id]);
193 $this->data->session_data = "";

That worked for me

@ParmaU

This comment has been minimized.

ParmaU commented May 10, 2018

thank you, done and it works

@FreddyRichard

This comment has been minimized.

FreddyRichard commented Sep 18, 2018

Thanks @jorgemvc, your help solved the problem. The support is appreciated.

I did this on a mac (macOS High Sierra 10.13.6) with PHP 7.1.21.

Thank you,
Greetings.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment